Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727856 - net-misc/astmanproxy: calls commands that do not exist (so cannot respect LDFLAGS)
Summary: net-misc/astmanproxy: calls commands that do not exist (so cannot respect LDF...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
: 727854 (view as bug list)
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2020-06-10 15:08 UTC by Agostino Sarubbo
Modified: 2020-12-28 12:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,20.96 KB, text/plain)
2020-06-10 15:09 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-10 15:08:58 UTC
@@This is an auto-filed bug@@
If you think that a different summary clarifies the issue better, feel free to change it.

Issue: net-misc/astmanproxy calls commands that do not exist.
Discovered on: amd64
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-10 15:09:02 UTC
Created attachment 644306 [details]
build.log

build log and emerge --info
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-06 17:15:48 UTC
"Compiling source in /var/tmp/portage/net-misc/astmanproxy-1.28.2/work/astmanproxy-1.28.2 ...
/var/tmp/portage/net-misc/astmanproxy-1.28.2/temp/environment: line 1976: raw-ldflags: command not found"

In the ebuild, we have:
		RAWLDFLAGS="$(raw-ldflags)"
but this is provided by flag-o-matic. Only toolchain-funcs is inherited.

So, this is actually the same problem as not respecting LDFLAGS -- even though it tries!
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-06 17:16:05 UTC
*** Bug 727854 has been marked as a duplicate of this bug. ***
Comment 4 Larry the Git Cow gentoo-dev 2020-12-28 12:43:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91455eb096bb6f86387e6edceff58354cdb07e98

commit 91455eb096bb6f86387e6edceff58354cdb07e98
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2020-12-28 12:42:55 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-12-28 12:42:55 +0000

    net-misc/astmanproxy: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/706896
    Closes: https://bugs.gentoo.org/727856
    Package-Manager: Portage-3.0.9, Repoman-3.0.1
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 net-misc/astmanproxy/astmanproxy-1.28.2.ebuild     | 32 +++++++++-------------
 .../files/astmanproxy-1.28.2-fno-common.patch      | 11 ++++++++
 .../files/astmanproxy-1.28.2-gentoo.diff           | 32 ++++++++++++++++------
 3 files changed, 47 insertions(+), 28 deletions(-)